Skip to Content

Sync a WhatsApp business account status

Sync a WhatsApp business account status. Request: POST /v1/whatsapp/business-accounts/{accountId}/sync. Scope: whatsappAccounts:read.

POST
/v1/whatsapp/business-accounts/{accountId}/sync

Reads the number's quality rating, messaging limit, and registration from Meta, and registers the number with the Cloud API if it is verified but not yet registered.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

accountId*string
Match^waba_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
id*WhatsAppBusinessAccountId
Match^waba_[0-9a-hjkmnp-tv-z]{16,24}$
qualityRating*string
Value in"green""yellow""red""unknown"
messagingLimit*string|null
currentLimit*integer
Range0 <= value <= 9007199254740991
businessPortfolioId*string|null
verificationStatus*string
Value in"pending""verified""failed""suspended"
syncedAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.whatsapp.syncAccountStatus({
  "accountId": "example"
});
Example Response
{
  "id": "string",
  "qualityRating": "green",
  "messagingLimit": "string",
  "currentLimit": 0,
  "businessPortfolioId": "string",
  "verificationStatus": "pending",
  "syncedAt": "string"
}

Related documentation